import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { toggleSlider } from '../../actions';
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    isOpen: boolean;
}
type Props = DispatchProps & OwnProps;
declare class SliderButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    toggleSlider: typeof toggleSlider;
};
declare const _default: import("react-redux").ConnectedComponent<typeof SliderButton, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<SliderButton> | undefined;
    isOpen: boolean;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
